Method: projects.locations.migrationJobs.promote

Promote a migration job, stopping replication to the destination and promoting the destination to be a standalone database.

HTTP request


POST https://datamigration.googleapis.com/v1/{name}:promote

Path parameters

Parameters
name

string

Name of the migration job resource to promote.

Authorization requires the following IAM permission on the specified resource name:

  • datamigration.migrationjobs.promote

Request body

The request body contains data with the following structure:

JSON representation
{
  "objectsFilter": {
    object (MigrationJobObjectsConfig)
  }
}
Fields
objectsFilter

object (MigrationJobObjectsConfig)

Optional. The object filter to apply to the migration job.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/cloud-datamigration

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • datamigration.migrationjobs.promote

For more information, see the IAM documentation.